local mod = ...



-- Resource: Remedies ------------------------------------------------------------------------
mod:registerAssetId("icons/Remedy.png", "ICON_REMEDY")
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_HEALTH" )

mod:register({
    DataType = "RESOURCE",
    Id = "RESOURCE_REMEDY",
    ResourceName = "RESOURCE_REMEDY_NAME",
    Icon = "ICON_REMEDY",
    ResourceTypeList = {
        "RESOURCE_TYPE_HEALTH",
    },
    IsTradable = false,
    DisplayInInventory = false,
    DisplayInToolbar = false,
})



-- Job: Apothecary -------------------------------------------------------------------------------------
mod:register({
	DataType = "JOB",
	Id = "JOB_APOTHECARY",
	JobName = "JOB_APOTHECARY_NAME",
	JobDescription = "JOB_APOTHECARY_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_WORK",
    ProductionDelay = 60.0, -- default 30
    AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
    Hidden = true,
	CharacterSetup = {
		DataType = "CHARACTER_SETUP",
		-- RightHandObject = {
		-- 	DataType = "HAND_OBJECT",
		-- 	Model = "PREFAB_TOOL_SHEPHERD_STICK"
		-- },
		IdleAnimation = "IDLE"
	}
})

mod:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_APOTHECARY"
    }
})

mod:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_APOTHECARY"
    }
})

mod:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_APOTHECARY"
    }
})

mod:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_APOTHECARY"
    }
})



-- Building Function: Apothecary -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_PLAGUE_APOTHECARY",
    Name = "BUILDING_FUNCTION_PLAGUE_APOTHECARY_NAME",
    WorkerCapacity = 1,
    RelatedJob = { 
        Job = "JOB_APOTHECARY", 
        Behavior = "BEHAVIOR_WORK"
    },
    IsPrivate = true,
    InputInventoryCapacity = {
        { Resource = "HERBS", Quantity = 50 },
    },
    ResourceListNeeded = {
        { Resource = "HERBS", Quantity = 1 },
	},
	ResourceProduced = {
        { Resource = "RESOURCE_REMEDY", Quantity = 0 },
    }
})



-- Building Function List: Monastery (OVERRIDE) -------------------------------------------------------------------------------------
mod:override({
    Id = "BUILDING_FUNCTION_LIST_MONASTERY",
    AssetFunctionList = {
        Action = "APPEND",
        "BUILDING_FUNCTION_PLAGUE_APOTHECARY",
    }
})


